# ApplicationFramework
TKPShape
PColPGeom

# PColPGeom_VArrayTNodeOfFieldOfHArray1OfCurve Class Reference

`#include <PColPGeom_VArrayTNodeOfFieldOfHArray1OfCurve.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PColPGeom_VArrayTNodeOfFieldOfHArray1OfCurve ()
| PColPGeom_VArrayTNodeOfFieldOfHArray1OfCurve (const Handle(PGeom_Curve)&aValue)
void | SetValue (const Handle(PGeom_Curve)&aValue)
Standard_Address | Value () const

## Private Attributes

Handle_PGeom_Curve | myValue

## Constructor & Destructor Documentation

PColPGeom_VArrayTNodeOfFieldOfHArray1OfCurve::PColPGeom_VArrayTNodeOfFieldOfHArray1OfCurve | ( |  | ) |

PColPGeom_VArrayTNodeOfFieldOfHArray1OfCurve::PColPGeom_VArrayTNodeOfFieldOfHArray1OfCurve | ( | const Handle(PGeom_Curve)& | aValue | ) |

## Member Function Documentation

void PColPGeom_VArrayTNodeOfFieldOfHArray1OfCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColPGeom_VArrayTNodeOfFieldOfHArray1OfCurve::operator new | ( | size_t | size | ) | `[inline]`

void* PColPGeom_VArrayTNodeOfFieldOfHArray1OfCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PColPGeom_VArrayTNodeOfFieldOfHArray1OfCurve::SetValue | ( | const Handle(PGeom_Curve)& | aValue | ) |

Standard_Address PColPGeom_VArrayTNodeOfFieldOfHArray1OfCurve::Value | ( |  | ) | const

## Field Documentation

Handle_PGeom_Curve PColPGeom_VArrayTNodeOfFieldOfHArray1OfCurve::myValue`[private]`

The documentation for this class was generated from the following file:

- PColPGeom_VArrayTNodeOfFieldOfHArray1OfCurve.hxx